Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.bpm.runtime
Class ProcessStatus

    java.lang.Object
      com.bea.wli.bpm.runtime.ProcessStatus

All Implemented Interfaces:
  Serializable

    public final class ProcessStatus

extends Object
implements Serializable

Represents the status of a particular process instance.

See Also:
  `ProcessRuntimeMBean.getStatus(java.lang.String)`, `ProcessInstanceInfo.getStatus()`, Serialized Form

Field Summary
`static ProcessStatus` | `ABORTED` Represents a process instance that has been aborted.
`static ProcessStatus` | `COMPLETED` Represents a process instance that has finished normally.
`static ProcessStatus` | `DEFUNCT` Represents a process instance that has been completed or terminated, when tracking level is set to 'none'.
`static ProcessStatus` | `FROZEN` Represents a process instance that has been frozen.
`static ProcessStatus` | `PENDING_ABORT` Deprecated.
`static ProcessStatus` | `RUNNING` Represents a process instance that is currently running.
`static ProcessStatus` | `SUSPENDED` Represents a process instance that has been suspended, possibly in response to a "Suspend" request from a user.
`static ProcessStatus` | `TERMINATED` Represents a process instance that has been terminated by an external "terminate" request.
`static List` | `VALUES` List of all `ProcessStatus` enumerated types.

Method Summary
`int` | `intValue()` Returns an integer representation for the status.
`boolean` | `isAborted()` Returns whether this object represents an aborted instance, namely, `( this == `ABORTED` )`
`boolean` | `isCompleted()` Returns whether this object represents a completed instance, namely, `(this == `COMPLETED` )`
`boolean` | `isCompOrTerm()` Returns whether this object represents an instance that has either completed normally or has been terminated, namely, `(`isCompleted()` || `isTerminated()` )`
`boolean` | `isDefunct()` Returns whether this object represents an instance that is pending delete, namely, `(this == `DEFUNCT` )`
`boolean` | `isFrozen()` Returns whether this object represents a frozen instance, namely, `(this == `FROZEN` )`
`boolean` | `isPendingAbort()` Returns whether this object represents an instance that has an abort pending, namely, `(this == `PENDING_ABORT` )`
`boolean` | `isRunning()` Returns whether this object represents a running instance, namely, `(this == `RUNNING` )`
`boolean` | `isSuspended()` Returns whether this object represents a suspended instance, namely, `(this == `SUSPENDED` )`
`boolean` | `isTerminated()` Returns whether this object represents an instance that has been terminated, namely, `(this == `TERMINATED` )`
`static ProcessStatus` | `toProcessStatus(int val)` Returns the ProcessStatus object whose integer representation is the given integer value.
`String` | `toString()` Returns string representation of this ProcessStatus

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RUNNING

    public static final ProcessStatus RUNNING

  Represents a process instance that is currently running. A running instance may be actively consuming resources, or it may be blocked waiting for an input.

### ABORTED

    public static final ProcessStatus ABORTED

  Represents a process instance that has been aborted. An aborted instance cannot continue execution. Aborted instances can be terminated.

  See Also:
    `ProcessRuntimeMBean.terminate(java.lang.String, java.lang.String)`

### SUSPENDED

    public static final ProcessStatus SUSPENDED

  Represents a process instance that has been suspended, possibly in response to a "Suspend" request from a user. A suspended instance can be resumed. See `ProcessRuntimeMBean.suspend(java.lang.String, java.lang.String)` for suspending an instance, and `ProcessRuntimeMBean.resume(java.lang.String, java.lang.String)` for resuming a suspended process.

### FROZEN

    public static final ProcessStatus FROZEN

  Represents a process instance that has been frozen. A Frozen instance can be "unfrozen". See `ProcessRuntimeMBean.unfreeze(java.lang.String, java.lang.String)` for unfreezing a frozen instance.

### COMPLETED

    public static final ProcessStatus COMPLETED

  Represents a process instance that has finished normally.

### TERMINATED

    public static final ProcessStatus TERMINATED

  Represents a process instance that has been terminated by an external "terminate" request.

  See Also:
    `ProcessRuntimeMBean.terminate(java.lang.String, java.lang.String)`

### PENDING_ABORT

    public static final ProcessStatus PENDING_ABORT

  Deprecated.
  Represents a process instance that has a pending abort. A pending abort instance cannot continue execution. Pending aborted instances cannot be terminated.

  See Also:
    `ProcessRuntimeMBean.terminate(java.lang.String, java.lang.String)`

### DEFUNCT

    public static final ProcessStatus DEFUNCT

  Represents a process instance that has been completed or terminated, when tracking level is set to 'none'. For consistency in user model of stateful and stateless flows, this state prevents display of associated instances in the OA&M console.

### VALUES

    public static final List VALUES

  List of all `ProcessStatus` enumerated types.

Method Detail

### toString

    public String toString()

  Returns string representation of this ProcessStatus

  Overrides:
    `toString` in class `Object`

### intValue

    public int intValue()

  Returns an integer representation for the status.

  See Also:
    `toProcessStatus(int)`

### isAborted

    public boolean isAborted()

  Returns whether this object represents an aborted instance, namely, `( this == `ABORTED` )`

### isRunning

    public boolean isRunning()

  Returns whether this object represents a running instance, namely, `(this == `RUNNING` )`

### isSuspended

    public boolean isSuspended()

  Returns whether this object represents a suspended instance, namely, `(this == `SUSPENDED` )`

### isFrozen

    public boolean isFrozen()

  Returns whether this object represents a frozen instance, namely, `(this == `FROZEN` )`

### isCompleted

    public boolean isCompleted()

  Returns whether this object represents a completed instance, namely, `(this == `COMPLETED` )`

### isTerminated

    public boolean isTerminated()

  Returns whether this object represents an instance that has been terminated, namely, `(this == `TERMINATED` )`

### isPendingAbort

    public boolean isPendingAbort()

  Returns whether this object represents an instance that has an abort pending, namely, `(this == `PENDING_ABORT` )`

### isDefunct

    public boolean isDefunct()

  Returns whether this object represents an instance that is pending delete, namely, `(this == `DEFUNCT` )`

### isCompOrTerm

    public boolean isCompOrTerm()

  Returns whether this object represents an instance that has either completed normally or has been terminated, namely, `(`isCompleted()` || `isTerminated()` )`

### toProcessStatus

    public static ProcessStatus toProcessStatus(int val)

  Returns the ProcessStatus object whose integer representation is the given integer value.

  Throws:
    `IllegalArgumentException` - if the integer value does not represent a valid ProcessStatus object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD